Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
discovery-domains
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Organizations.DiscoveryDomains.ListAsync(
            id: "id",
            request: new ListOrganizationDiscoveryDomainsRequestParameters {
                From = "from",
                Take = 1
            }
        );
    }

}
{
  "domains": [
    {
      "id": "<string>",
      "domain": "<string>",
      "verification_txt": "<string>",
      "verification_host": "<string>",
      "use_for_organization_discovery": true
    }
  ],
  "next": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

ID of the organization.

Paramètres de requête

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Plage requise: 1 <= x <= 100

Réponse

Organization discovery domains retrieved successfully.

domains
object[]
requis
next
string